#708 Several orx api tests fail on MacOSX

v4.0beta
closed
Mark Miesfeld
5
2012-08-14
2009-05-25
No

Now that other external librairies do load, these ones still fail to do so:

[Framework exception] [20090525 09:57:37.786571]
Type: Trap Severity: Fatal
File: /Users/rvjansen/.../test/trunk/ooRexx/API/classic/CLASSIC.testGroup
Line: 56
Failed to load the external API package needed for this test group.
Condition: SYNTAX
Unable to load library "orxclassic"
56 - .context~package~loadPackage('CLASSICPackage.cls')

[Framework exception] [20090525 09:57:37.825474]
Type: Trap Severity: Fatal
File: /Users/rvjansen/.../test/trunk/ooRexx/API/oo/CONVERSION.testGroup
Line: 56
Failed to load the external API package needed for this test group.
Condition: SYNTAX
Unable to load library "orxmethod"
56 - .context~package~loadPackage('CONVERSIONPackage.cls')

[Framework exception] [20090525 09:57:37.830591]
Type: Trap Severity: Fatal
File: /Users/rvjansen/.../oorexx/test/trunk/ooRexx/API/oo/FUNCTION.testGroup
Line: 56
Failed to load the external API package needed for this test group.
Condition: SYNTAX
Unable to load library "orxfunction"
56 - .context~package~loadPackage('FUNCTIONPackage.cls')

[Framework exception] [20090525 09:57:37.836021]
Type: Trap Severity: Fatal
File: /Users/rvjansen/.../test/trunk/ooRexx/API/oo/INVOCATION.testGroup
Line: 56
Failed to load the external API package needed for this test group.
Condition: SYNTAX
Unable to load library "orxinvocation"
56 - .context~package~loadPackage('INVOCATIONTester.cls')

[Framework exception] [20090525 09:57:37.847629]
Type: Trap Severity: Fatal
File: /Users/rvjansen/apps/oorexx/test/trunk/ooRexx/API/oo/METHOD.testGroup
Line: 56
Failed to load the external API package needed for this test group.
Condition: SYNTAX
Unable to load library "orxmethod"
56 - .context~package~loadPackage('METHODPackage.cls')

[Framework exception] [20090525 09:57:37.852999]
Type: Trap Severity: Fatal
File: /Users/rvjansen/.../trunk/ooRexx/API/oo/ProcessInvocation.testGroup
Line: 56
Failed to load the external API package needed for this test group.
Condition: SYNTAX
Unable to load library "orxinvocation"
56 - .context~package~loadPackage('INVOCATIONTester.cls')

[Framework exception] [20090525 09:57:37.860293]
Type: Trap Severity: Fatal
File: /Users/rvjansen/.../test/trunk/ooRexx/API/oo/ProcessRexxStart.testGroup
Line: 56
Failed to load the external API package needed for this test group.
Condition: SYNTAX
Unable to load library "orxinvocation"
56 - .context~package~loadPackage('INVOCATIONTester.cls')

[Framework exception] [20090525 09:57:37.863297]
Type: Trap Severity: Fatal
File: /Users/rvjansen/.../oorexx/test/trunk/ooRexx/API/oo/RexxStart.testGroup
Line: 56
Failed to load the external API package needed for this test group.
Condition: SYNTAX
Unable to load library "orxinvocation"
56 - .context~package~loadPackage('INVOCATIONTester.cls')

Discussion

  • Rick McGuire
    Rick McGuire
    2009-05-25

    Did you build the external programs required by these tests first? The -B option on testOORexx program will force a build before running the tests.

     
  • Mark Miesfeld
    Mark Miesfeld
    2009-06-14

    René,

    There is a problem here that we discussed on the developer's list several months ago.

    In order to test the new native APIs, we needed to be able to build some external binaries to do the tests.

    The approach that was taken, is to have some simple platform specific make files to build the binaries correctly on each platform. The test framework keys off of the operating system name as given by parse source to both: execute the correct make file if you pass the -b or -B option, and to add the correct binary directory to the path / lib path. (Which doesn't work on Linux, you need to add the binary directory to lib path before you start up the test suite.)

    I got this up and running on Windows and Linux. On AIX and a Mac, I have no access to any system to test with so they had to be left un-implemented. For AIX, Rainer supplied the make file and he and I together tweaked a few things to get it working.

    As I mentioned on the developers list several months ago, if you would supply the make file, I'll get the framework fixed to work on the Mac for these external tests.

    I know you seemed upset that this was implemented through make files rather than automake and configure scripts. Well, all I can say is it looke simplier to me to do it this way. If you'd rather supply all the automake files and scripts to build these external binaries on the non-Windows platform the way the interperter is built, then great. I'll gladly tweak the test suite to use that instead. But, I don't have enough automake expertise to set it up from scratch. (Which is why I use make files, make files I can write. <grin>)

     
  • Mark Miesfeld
    Mark Miesfeld
    2009-07-12

    René,

    We can't really do anything about this without a little help from you.

    In the short term, if you could just supply the Mac make file, I'll integrate it into the test suite, and this bug is fixed.

    In the root directroy of the test suite, go to external/API. There is a Makefile.linux or a Makefile.aix that you could use as a starting point. Just create a MakFile.macosx that builds the couple of external libraries and executables.

    Then attach it to this bug, or create a Tracker Patch item, or even send it to me directly. I'll integrate it into the test suite and you won't get these failures any more.

     
  • Mark Miesfeld
    Mark Miesfeld
    2009-09-28

    This is not a bug. The tests fail because the external binaries needed for the native api tests are not built.

    To prevent these failures, either build the external binaries, or use the -X (exclude) flag to exclude running the tests that require those binaries. I.e.:

    ./testOORexx.rex -X native_api

    When using the -X flag, do not use either the -B or -b flags.

     


Anonymous


Cancel   Add attachments